
#ifndef DKUTIL_LOGGER_HPP
#define DKUTIL_LOGGER_HPP

#ifdef WIN32
#include <dkutil/output/win32/dkutilLog.h>
#endif
#include <dkutil/output/error.hpp>
#include <dkutil/boost/parm_string.hpp>

namespace dkutil{


#if 0
class COutputLog_Base : public CInternationalErrorCode{
	std::ostream *mPS;
	IStream *mPIS;

public:
	void set_ostream(std::ostream *p){
		mPS = p;
	}
	void set_IStream(IStream *p){
		mPIS = p;
	}
	void setLog(parm_string str){
		if(mPS)
			(*mPS) << (char *)str.c_str();
		//if(mPIS) *mPIS << str.c_str();
	}
	
		

};
#endif

}//end of dkutil namespace



#endif